Update Segment
curl --request PATCH \
--url https://api.member.dev/api/v1/teams/{team_id}/segments/{segment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"conditions": {
"groups": [
{
"conditions": [
{
"operator": "<string>",
"type": "email",
"value": {
"text": "<string>"
}
}
],
"logic": "AND"
}
],
"version": 1
},
"description": "<string>",
"is_active": true,
"name": "<string>",
"slug": "<string>"
},
"type": "segment"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/segments/{segment_id}"
payload = { "data": {
"attributes": {
"conditions": {
"groups": [
{
"conditions": [
{
"operator": "<string>",
"type": "email",
"value": { "text": "<string>" }
}
],
"logic": "AND"
}
],
"version": 1
},
"description": "<string>",
"is_active": True,
"name": "<string>",
"slug": "<string>"
},
"type": "segment"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
conditions: {
groups: [
{
conditions: [{operator: '<string>', type: 'email', value: {text: '<string>'}}],
logic: 'AND'
}
],
version: 1
},
description: '<string>',
is_active: true,
name: '<string>',
slug: '<string>'
},
type: 'segment'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/segments/{segment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"conditions": {
"groups": [
{
"conditions": [
{
"operator": "<string>",
"type": "email",
"value": {
"text": "<string>"
},
"display": {}
}
],
"logic": "AND"
}
],
"version": 1
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_active": true,
"name": "<string>",
"slug": "<string>",
"team_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"validation_error": {}
},
"id": "<string>",
"type": "segment"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}segments-admin
Update Segment
Partial-update a segment. No-op updates return 200 without
emitting SegmentUpdated. Supplying conditions triggers a
recompile and clears validation_error if the tree compiles
cleanly (design §8.1).
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
segments
/
{segment_id}
Update Segment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I